package com.gic.haoban.manage.web.qo.content;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2022/10/28 4:09 PM
 * @Description
 * @Version
 **/
public class ContentMaterialShareQO implements Serializable {

    private static final long serialVersionUID = -3604528577220428693L;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 商品货号
     */
    private String goodsCode;

    /**
     * 素材id
     */
    private Long contentMaterialId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 1朋友圈; 2客户群; 3 对话框; 4 复制文案; 5 下载素材
     */
    private String channelSource;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getContentMaterialId() {
        return contentMaterialId;
    }

    public void setContentMaterialId(Long contentMaterialId) {
        this.contentMaterialId = contentMaterialId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getGoodsCode() {
        return goodsCode;
    }

    public void setGoodsCode(String goodsCode) {
        this.goodsCode = goodsCode;
    }

    public String getChannelSource() {
        return channelSource;
    }

    public void setChannelSource(String channelSource) {
        this.channelSource = channelSource;
    }
}
